jif.lang

## Class ReaderPolicy

- java.lang.Object
- - jif.lang.AbstractPolicy
  - - jif.lang.ReaderPolicy

- All Implemented Interfaces:
    ConfPolicy, Policy

      public class ReaderPolicy
      extends AbstractPolicy
      implements ConfPolicy

- - ### Field Summary

    - ### Fields inherited from class jif.lang.AbstractPolicy

      `labelUtil`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReaderPolicy(LabelUtil labelUtil, Principal owner, Principal reader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `ConfPolicy` | `join(ConfPolicy p)`
    `ConfPolicy` | `join(ConfPolicy p, boolean simplify)`
    `ConfPolicy` | `join(ConfPolicy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s)` Return the join of this policy and p.
    `ConfPolicy` | `join(ConfPolicy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s, boolean simplify)`
    `ConfPolicy` | `meet(ConfPolicy p)`
    `ConfPolicy` | `meet(ConfPolicy p, boolean simplify)`
    `ConfPolicy` | `meet(ConfPolicy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s)`
    `ConfPolicy` | `meet(ConfPolicy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s, boolean simplify)`
    `Principal` | `owner()`
    `Principal` | `reader()`
    `boolean` | `relabelsTo(Policy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s)` Does this policy relabel to policy p? If this method returns true, then all delegations that this result depend upon (i.e., DelegationPairs) should be added to the set s.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReaderPolicy

          public ReaderPolicy(LabelUtil labelUtil,
                              Principal owner,
                              Principal reader)

  - ### Method Detail

    - #### owner

          public Principal owner()

    - #### reader

          public Principal reader()

    - #### relabelsTo

          public boolean relabelsTo(Policy p,
                                    java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s)

      Description copied from interface: `Policy`
      Does this policy relabel to policy p? If this method returns true, then all delegations that this result depend upon (i.e., DelegationPairs) should be added to the set s. If this method returns false, then the set is not altered at all.
      Specified by:
        `relabelsTo` in interface `Policy`
      Returns:

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `AbstractPolicy`

    - #### equals

          public boolean equals(java.lang.Object o)

      Specified by:
        `equals` in class `AbstractPolicy`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### join

          public ConfPolicy join(ConfPolicy p,
                                 java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s)

      Description copied from interface: `ConfPolicy`
      Return the join of this policy and p. The set s contains all delegations (i.e., DelegationPairs) that this join result depends upon.
      Specified by:
        `join` in interface `ConfPolicy`

    - #### meet

          public ConfPolicy meet(ConfPolicy p,
                                 java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s)

      Specified by:
        `meet` in interface `ConfPolicy`

    - #### join

          public ConfPolicy join(ConfPolicy p)

      Specified by:
        `join` in interface `ConfPolicy`

    - #### meet

          public ConfPolicy meet(ConfPolicy p)

      Specified by:
        `meet` in interface `ConfPolicy`

    - #### join

          public ConfPolicy join(ConfPolicy p,
                                 boolean simplify)

      Specified by:
        `join` in interface `ConfPolicy`

    - #### meet

          public ConfPolicy meet(ConfPolicy p,
                                 boolean simplify)

      Specified by:
        `meet` in interface `ConfPolicy`

    - #### join

          public ConfPolicy join(ConfPolicy p,
                                 java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s,
                                 boolean simplify)

      Specified by:
        `join` in interface `ConfPolicy`

    - #### meet

          public ConfPolicy meet(ConfPolicy p,
                                 java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s,
                                 boolean simplify)

      Specified by:
        `meet` in interface `ConfPolicy`